Table of Contents

Class: Shell | Twisted-0.17.4/twisted/protocols/telnet.py
--- | ---

A Python command-line shell.

Base Classes |
--- | ---

Telnet

protocol.Protocol

Methods |
--- | ---
checkUserAndPass connectionMade doCommand flush loggedIn telnet_Command write
| checkUserAndPass

    checkUserAndPass (
            self,
            username,
            password,
            )

| connectionMade

    connectionMade ( self )

| doCommand

    doCommand ( self,  cmd )

| flush

    flush ( self )

Try to flush; I might not be able to though.

| loggedIn

    loggedIn ( self )

| telnet_Command

    telnet_Command ( self,  cmd )

| write

    write ( self,  data )

Write some data to the transport.

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:04 2002 by HappyDoc version 2.0